import { AlertLinks } from './alert-links';
import { DEFAULT_LOCALE } from '../../../constants';

const onClick = jest.fn();
const errorLinks = [{ id: 'id', href: 'href', messageId: 'messageId' }];

describe('<AlertLinks />', () => {
  test('should match snapshot', () => {
    const wrapper = shallow(<AlertLinks errorMessageId="messageId" locale={DEFAULT_LOCALE} errorLinks={errorLinks} onClick={onClick} />);
    expect(wrapper).toMatchSnapshot();
  });

  test('should match snapshot', () => {
    const wrapper = shallow(<AlertLinks errorMessageId="messageId" locale={DEFAULT_LOCALE} errorLinks={errorLinks} />);
    expect(wrapper).toMatchSnapshot();
  });
});
