import React from 'react';
import { Header } from './header';

describe('<Header />', () => {
  test('should match snapshot', () => {
    const wrapper = shallow(<Header>Hi header</Header>);
    expect(wrapper).toMatchSnapshot();
  });
});

describe('<Header /> with `isWhite` prop', () => {
  test('should match snapshot', () => {
    const wrapper = shallow(<Header isWhite>Hi header</Header>);
    expect(wrapper).toMatchSnapshot();
  });
});
