import React from 'react';
import classNames from 'classnames';
import PropTypes from 'prop-types';

export const IconDevice = ({ className }) => (
  <svg
    xmlns="http://www.w3.org/2000/svg"
    className={classNames(className, 'icon icon-device')}
    width="27"
    height="19"
    viewBox="0 0 27 19"
  >
    <g fill="none" fillRule="evenodd">
      <path
        fill="#9E9E9E"
        fillRule="nonzero"
        d="M0 15h27v1.333C27 17.8 25.988 19 24.75 19H2.25C1.012 19 0 17.8 0 16.333V15z"
      />
      <path stroke="#9E9E9E" strokeWidth="3" d="M3.5 1.5v14h20v-14h-20z" />
    </g>
  </svg>
);

IconDevice.propTypes = {
  className: PropTypes.string,
};

IconDevice.defaultProps = {
  className: '',
};
