import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import './income-outcome.scss';

export const IconOutcome = ({ className }) => (
  <div className={classNames(className, 'income')}>
    <svg xmlns="http://www.w3.org/2000/svg" width="14" height="20" viewBox="0 0 14 20">
      <g fill="none" fillRule="evenodd" stroke="#F44336" strokeWidth="2">
        <path d="M7 15.5V2M12 7.625L7 2 2 7.625M.5 18.313h13.038" />
      </g>
    </svg>
  </div>
);

IconOutcome.propTypes = {
  className: PropTypes.string,
};

IconOutcome.defaultProps = {
  className: '',
};
