import React from 'react';
import PropTypes from 'prop-types';
import { FormattedMessage } from 'react-intl';

export const AlertGeneral = ({ errorMessageId }) => (
  <FormattedMessage id={errorMessageId} />
);

AlertGeneral.propTypes = {
  errorMessageId: PropTypes.string.isRequired,
};
