import React from 'react';
import Col from 'reactstrap/lib/Col';
import PropTypes from 'prop-types';
import './form-sign-col.scss';

export const FormSignCol = ({ children }) => (
  <Col xs="12" xl="4" className="text-center form-sign-col">
    {children}
  </Col>
);

FormSignCol.propTypes = {
  children: PropTypes.node.isRequired,
};
