import React from 'react';

export function IconBlogService() {
  return (
    <svg width={36} height={42} viewBox="0 0 36 42" >
      <defs>
        <linearGradient id="a-icon-blog-service" x1="-4.611%" x2="72.889%" y1="1.905%" y2="70.167%">
          <stop offset="0%" stopColor="#FFF" />
          <stop offset="100%" stopColor="#FFF" stopOpacity={0} />
        </linearGradient>
      </defs>
      <g fill="none" fillRule="evenodd">
        <path
          fill="#242739"
          fillRule="nonzero"
          d="M36 3v29L26 42H3a3 3 0 0 1-3-3V3a3 3 0 0 1 3-3h30a3 3 0 0 1 3 3z"
        />
        <path
          fill="url(#a-icon-blog-service)"
          fillRule="nonzero"
          d="M36 3v29L26 42H3a3 3 0 0 1-3-3V3a3 3 0 0 1 3-3h30a3 3 0 0 1 3 3z"
          opacity={0.3}
        />
        <path
          fill="#12E083"
          fillRule="nonzero"
          d="M36 32L26 42v-7a3 3 0 0 1 3-3h7z"
        />
        <path
          fill="#FFF"
          d="M12.74 10.42v-.25a1.46 1.46 0 0 0-1.58-1.31 1.52 1.52 0 0 0-1.64 1.31.9.9 0 0 0 .48.83 4.26 4.26 0 0 0 1.28.52c.21 0 .4.1.63.13a6.81 6.81 0 0 1 2.69 1.11l.17.15A4 4 0 0 1 16 15.68a3.92 3.92 0 0 1-1.43 3 5.32 5.32 0 0 1-3.43 1.2 5.28 5.28 0 0 1-3.4-1.2 3.91 3.91 0 0 1-1.45-3v-.25h3.29v.25A1.46 1.46 0 0 0 11.14 17a1.51 1.51 0 0 0 1.64-1.31 1 1 0 0 0-.51-.83 3.58 3.58 0 0 0-1.26-.5l-.62-.15a6.19 6.19 0 0 1-2.69-1.12L7.62 13a3.84 3.84 0 0 1-1.33-2.85 3.91 3.91 0 0 1 1.45-3A5.28 5.28 0 0 1 11.14 6a5.32 5.32 0 0 1 3.43 1.2 3.92 3.92 0 0 1 1.43 3v.25l-3.26-.03z"
        />
        <rect
          width={17}
          height={2}
          x={6}
          y={30}
          fill="#A7A8B0"
          fillRule="nonzero"
          rx={1}
        />
        <rect
          width={24}
          height={2}
          x={6}
          y={24}
          fill="#A7A8B0"
          fillRule="nonzero"
          rx={1}
        />
        <rect
          width={10}
          height={2}
          x={20}
          y={10}
          fill="#A7A8B0"
          fillRule="nonzero"
          rx={1}
        />
        <rect
          width={10}
          height={2}
          x={20}
          y={16}
          fill="#A7A8B0"
          fillRule="nonzero"
          rx={1}
        />
      </g>
    </svg>
  );
}
