import PropTypes from 'prop-types';
import React from 'react';
import colors from '../../../theme/js/color-variables';

export const IconSp = ({ className }) => (
  <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 18 18" className={className}>
    <g fill="none" fillRule="evenodd">
      <circle cx="9" cy="9" r="9" fill={colors.violetV30} />
      <text fill={colors.white} fontFamily="Roboto-Bold, Roboto" fontSize="14" fontWeight="bold">
        <tspan x="5" y="14">P</tspan>
      </text>
    </g>
  </svg>
);

IconSp.propTypes = {
  className: PropTypes.string,
};

IconSp.defaultProps = {
  className: null,
};
