import PropTypes from 'prop-types';
import React from 'react';
import colors from '../../../theme/js/color-variables';

export const IconVp = ({ className }) => (
  <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 18 18" className={className}>
    <g fill="none" fillRule="evenodd">
      <circle cx="9" cy="9" r="9" fill={colors.pinkP30} />
      <path fill={colors.white} d="M10.642 3L5 9.844l.207.292h3.114L6.687 14.84l.436.161L13.5 8.156l-.199-.3h-3.148l.938-4.725z" />
    </g>
  </svg>
);

IconVp.propTypes = {
  className: PropTypes.string,
};

IconVp.defaultProps = {
  className: null,
};
